Bug 789764 - [abrt] ibus-1.4.0-17.fc16: IA__gtk_style_copy: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] ibus-1.4.0-17.fc16: IA__gtk_style_copy: Process /usr/bin/python was ki...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:0e58256caf3323412d831e12f90...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-12 16:25 EST by v.plessky
Modified: 2012-03-18 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-18 21:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.23 KB, text/plain)
2012-02-12 16:25 EST, v.plessky
no flags Details
File: maps (41.35 KB, text/plain)
2012-02-12 16:25 EST, v.plessky
no flags Details
File: backtrace (48.31 KB, text/plain)
2012-02-12 16:25 EST, v.plessky
no flags Details

  None (edit)
Description v.plessky 2012-02-12 16:25:01 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/ibus/ui/gtk/main.py
crash_function: IA__gtk_style_copy
executable:     /usr/bin/python
kernel:         3.2.5-3.fc16.x86_64
pid:            2980
pwd:            /tmp
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Mon 13 Feb 2012 01:19:06 AM MSK
uid:            1000
username:       vadim
xsession_errors: 

backtrace:      Text file, 49466 bytes
dso_list:       Text file, 9454 bytes
maps:           Text file, 42340 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:89017ab0b75e533e4294f74ee8f7db3daceea536
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:9674c27dfb6379010b7eb1d98403391e42ab4fe0
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:c124e79ca47fee27b34b962e8144fd5ae98f1dae
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:98c10c5c7494615cbf24102eb45024f3afad3897
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:638db099ff5fb986d1a092629d1bb1dca5be4904
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:aaf62304b0fc10611d35b4f56005479d4c58868d
:0e59960502e470151489348c2e5f9a7b333309ad
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:362c00e625c82c1550b804a54237def4c0028cf0
:cfd6e064ee1dde01516f4a3bb8b2b52e155464ad
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:0d55cc8cc4ac6ca05fda71f6379a755563b308d9
:aa733447f84020c94a66814e501a36e248cbb43d
:c3cc06ceb6e1a99743164a9db770a23d5a68dd47
:74ae88173658854383370d76513e8146f1b5e933
:661bf8d51a632f74853e2c4e005ef1b527c4b74a
:23b6792e3218744316fd495002f40a037c2e0095
:30d222cbaa7087ff6613d2737d967fc570ec8a72
:ff3cfb2ebc3308e7457547b79eec24f9616907d9
:88d586ed67ebe5227b761b4ab2e02433f29c840f
:86536100144c6501a6a66d3bd6967f96d6367f3d
:80d1527bdbaa66a7f4467a3432a25332fb76758a
:0c69b22db3e930d2029b8c5fa73a4c40a3604f18
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aabb71d3057067030d77e48dfbac442a36f38d36
:a8ce4b3b6fdd6c816d4cee5b4a923767a619667c
:f48a81f4d95986c8870e6f07fc75801f65393f0a
:2d527d0b32db96f5d2f40732b2e89f37f638969e
:f0d50e3af2dfee021a327fb85a993a2312a98145
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:2670385f49fb9f120f7cf843f211e3c620da8632
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:48aea888319e1848137073c9cbde54a4c2a731c9
:4f2a29ba56e8b132731ef8e5d8caf650c8b9b528
:fe3662384ae14475beec309064e470d1d26fce01
:43e9fb543545e9f30269c1dbdc86f526b2008b29
:374add1ead31ccb449779bc7ee7877de3377e5ad
:be507c791e34415e8f42f0e6030c889b2895cf9a
:bfe04e2d3d2ea47aea7f060d65ea0c9554f3827d
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:cc270d3b30649c06a1888b3c92a0e1a118ba5e75
:85baa0932b5e1f22b5849c8df62149ab97f7dbc1
:8f54e64c60f9c57d9c7b302ffbf72531410550ac
:3c7b34656c42aed6221e85ab738b73ebaffe7399
:3ed9e61c2b7e707ce244816335776afa2ad0307d
:3b23a489efb9362e73e94fd23e5a0437992b4c2e
:0d660a4db2aecb2346e3ef73975137341f48baac
:6ae19b07608683ea0d76f1406c6d50d5a2793ecc
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:12ebe599358398f2c1a5294bb2dd387545474b65
:d8b26823ae85343e974130aa7fb18f8e7a8f6c3d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:1484b514d62f680e9e7d1aabe8c066197083ca8a
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:f9fea7527e0deebd694acc251008975312a3f74a
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:4c842320387ff7f6f91b7842b223c16518be909f
:07470201df55a5254027d05fa4dc509b10f2986a
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:a28b15796672928bb44b262c88052ae601bf5955
:82cca0d5b06a649072a966dc4f05aded63d736bc
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:71ddb5b548bc9a76c3095b7c2a5f4906c85a79d8
:1c6a95451ee19617be5abea3d121f0226d21ddda
:ab59942678bcdecb23756804dcd0aac63ccc1669
:e5429e0905bedecc534b057783916ba43e06a66e
:5393d882ce329cabe4ddf6bedaef1cc906664889
:29263e9d454f6afd16ef620746e892d9d773e3e8
:62fd50a0a080ca063fd249d129b253c8c010d320
:e197f5dc3417a91b4f4f94a8ac51738488ed5c11
:4953d1f613914126bccceb3cb96386647ffba9df
:b1fc49122f65accdfc46f74613682b9b76e616db
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:83cb4627bed5c756d4e6f23badf8a6b4b042f4e6
:3c0d90cf907082b1c52951365138f53168150967
:e60f916998bae48d9c2f91af635f10f6ded119f4
:1406558950ff100eb0320a325b3ea7961ba1a775
:af03524a6b9d34d6ca2ccc47c0a81004d351419d
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

comment:
:I just started KDE from Logon screen
:And this bug happened

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-SunkC9BP3B,guid=e2b02c14f6af195f030d827900000134
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=adf31213f21aee064f663e8b0000004b-1329081526.328801-39056704
:IBUS_DATAROOTDIR=/usr/share
:GNOME_KEYRING_CONTROL=/tmp/keyring-8DCUIq
:USER=vadim
:USERNAME=vadim
:PATH=/usr/local/bin:/usr/bin:/bin
:DESKTOP_SESSION=kde-plasma
:QT_IM_MODULE=ibus
:PWD=/tmp
:XMODIFIERS=@im=ibus
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2262
:IBUS_PREFIX=/usr
:GDMSESSION=kde-plasma
:DBUS_STARTER_BUS_TYPE=session
:HOME=/home/vadim
:SHLVL=1
:XDG_SEAT=seat0
:IBUS_LOCALEDIR=/usr/share/locale
:LOGNAME=vadim
:LC_CTYPE=en_US.UTF-8
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-SunkC9BP3B,guid=e2b02c14f6af195f030d827900000134
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/vadim
:GTK_IM_MODULE=ibus
:XAUTHORITY=/var/run/gdm/auth-for-vadim-hSLuYr/database

var_log_messages:
:Feb 12 01:46:35 Acer6935-Atheros yum[2258]: Updated: gnome-python2-2.28.1-7.fc16.x86_64
:Feb 12 01:47:27 Acer6935-Atheros yum[2258]: Updated: libselinux-python-2.1.6-5.fc16.x86_64
:Feb 12 01:47:37 Acer6935-Atheros yum[2258]: Updated: python-slip-0.2.20-1.fc16.noarch
:Feb 12 01:47:48 Acer6935-Atheros yum[2258]: Updated: setools-libs-python-3.3.7-19.fc16.x86_64
:Feb 12 01:47:55 Acer6935-Atheros yum[2258]: Updated: newt-python-0.52.14-1.fc16.x86_64
:Feb 12 01:48:00 Acer6935-Atheros yum[2258]: Updated: python-slip-dbus-0.2.20-1.fc16.noarch
:Feb 12 01:48:20 Acer6935-Atheros yum[2258]: Updated: gnome-python2-gconf-2.28.1-7.fc16.x86_64
:Feb 12 01:48:23 Acer6935-Atheros yum[2258]: Updated: rpm-python-4.9.1.2-4.fc16.1.x86_64
:Feb 12 01:48:47 Acer6935-Atheros yum[2258]: Updated: eekboard-python-1.0.5-1.fc16.x86_64
:Feb 12 01:50:08 Acer6935-Atheros yum[2258]: Updated: policycoreutils-python-2.1.4-13.fc16.x86_64
:Feb 12 01:50:52 Acer6935-Atheros yum[2258]: Updated: libreport-python-2.0.8-4.fc16.x86_64
:Feb 12 01:50:56 Acer6935-Atheros yum[2258]: Updated: abrt-addon-python-2.0.7-2.fc16.x86_64
:Feb 12 01:51:59 Acer6935-Atheros yum[2258]: Updated: liblouis-python-2.4.0-1.fc16.noarch
:Feb 12 01:52:17 Acer6935-Atheros yum[2258]: Installed: python-caribou-0.4.1-3.fc16.noarch
:Feb 12 01:52:35 Acer6935-Atheros yum[2258]: Updated: python-slip-gtk-0.2.20-1.fc16.noarch
:Feb 12 01:52:36 Acer6935-Atheros yum[2258]: Updated: gnome-python2-canvas-2.28.1-7.fc16.x86_64
:Feb 12 01:52:37 Acer6935-Atheros yum[2258]: Updated: python-cups-1.9.60-1.fc16.x86_64
:Feb 12 01:52:53 Acer6935-Atheros yum[2258]: Updated: python-kitchen-1.1.0-1.fc16.noarch
:Feb 12 02:38:42 Acer6935-Atheros yum[3291]: Installed: 1:python-lockfile-0.9.1-1.fc16.noarch
:Feb 12 02:39:12 Acer6935-Atheros yum[3291]: Installed: python-zope-interface-3.6.1-8.fc15.x86_64
:Feb 12 02:39:18 Acer6935-Atheros yum[3291]: Installed: python-imaging-1.1.7-4.fc16.x86_64
:Feb 12 02:40:47 Acer6935-Atheros yum[3291]: Installed: kross-python-4.7.4-1.fc16.x86_64
:Feb 12 02:41:07 Acer6935-Atheros yum[3291]: Installed: gamin-python-0.1.10-10.fc16.x86_64
:Feb 12 02:41:32 Acer6935-Atheros yum[3291]: Installed: python-twisted-core-11.0.0-1.fc16.x86_64
:Feb 12 02:42:11 Acer6935-Atheros yum[3291]: Installed: plasma-scriptengine-python-4.7.4-7.fc16.x86_64
:Feb 13 01:19:05 Acer6935-Atheros kernel: [  327.896615] python[2980]: segfault at 0 ip           (null) sp 00007fff861f1fd8 error 14 in python[400000+1000]
:Feb 13 01:19:06 Acer6935-Atheros abrt[3033]: Saved core dump of pid 2980 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-02-13-01:19:06-2980 (15261696 bytes)
Comment 1 v.plessky 2012-02-12 16:25:05 EST
Created attachment 561303 [details]
File: dso_list
Comment 2 v.plessky 2012-02-12 16:25:07 EST
Created attachment 561304 [details]
File: maps
Comment 3 v.plessky 2012-02-12 16:25:09 EST
Created attachment 561305 [details]
File: backtrace
Comment 4 fujiwara 2012-02-12 21:25:15 EST
#1  0x00007f3824a357a5 in IA__gtk_style_copy (style=0x13bd640) at gtkstyle.c:658
        new_style = <optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_style_copy"


I cannot preproduce the gtk_style_copy problem. Are you still able to reproduce your problem?

Note You need to log in before you can comment on or make changes to this bug.